## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%if 0%{?fedora} >= 40 || 0%{?rhel} >= 10
%global optflags %(echo %{optflags} -Wno-error=template-id-cdtor)
%endif

%global forgeurl https://github.com/jeromerobert/hmat-oss
Version:        1.10.0
%global tag %{version}
%forgemeta

Name:           hmat-oss
Release:        %autorelease
Summary:        A hierarchical matrix C/C++ library
License:        GPL-2.0-or-later
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  flexiblas-devel
BuildRequires:  cmake(lapacke)
BuildRequires:  blas-static
BuildRequires:  lapack-static

%description
hmat-oss is hierarchical matrix library written in C++. It has a C API. It
contains a LU and LLt solver, and a few other things.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DBUILD_EXAMPLES=ON \

%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.md
%doc README.md
%{_libdir}/libhmat.so.4
%{_libdir}/libhmat.so.%{version}

%files devel
%{_libdir}/libhmat.so
%{_includedir}/hmat/
%{_libdir}/cmake/hmat/

%changelog
## START: Generated by rpmautospec
* Wed Jul 24 2024 Packit <hello@packit.dev> - 1.10.0-1
- Update to 1.10.0 upstream release
- Resolves: rhbz#2297865

* Wed Jul 24 2024 topazus <topazus@outlook.com> - 1.9.0-3
- Fix template-id-cdtor error on f41

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Feb 07 2024 topazus <topazus@outlook.com> - 1.9.0-1
- initial import; rhbz#2263130
## END: Generated by rpmautospec
